Summary:	Diablo build for modern operating systems
Summary(pl.UTF-8):	Diablo zbudowane dla współczesnych systemów operacyjnych
Name:		devilutionX
Version:	1.5.3
Release:	1
License:	Unlicense
Group:		X11/Applications/Games
Source0:	https://github.com/diasurgical/devilutionX/releases/download/%{version}/devilutionx-src.tar.xz
# Source0-md5:	3974f696800ae8803165e49b3eefa725
URL:		https://github.com/diasurgical/devilutionX/
BuildRequires:	SDL2-devel
BuildRequires:	SDL2_image-devel >= 2.0.5
BuildRequires:	bzip2-devel
BuildRequires:	cmake >= 3.15
BuildRequires:	gettext-tools
BuildRequires:	libfmt-devel >= 8.0.0
BuildRequires:	libsodium-devel
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	simpleini-devel >= 4.19
BuildRequires:	smpq
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	SDL2_image >= 2.0.5
Requires:	hicolor-icon-theme
Requires:	libfmt >= 8.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Diablo build for modern operating systems.

%description -l pl.UTF-8
Diablo zbudowane dla współczesnych systemów operacyjnych.

%prep
%setup -q -n devilutionx-src-%{version}

%build
%cmake -B build \
	-DVERSION_NUM="%{version}" \
	-DDISABLE_ZERO_TIER:BOOL=ON \
	-DDEVILUTIONX_STATIC_CXX_STDLIB:BOOL=OFF \
	-DDEVILUTIONX_SYSTEM_SIMPLEINI:BOOL=ON \
	-DBUILD_TESTING:BOOL=OFF \
	-DUSE_LD_MOLD:BOOL=OFF

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc LICENSE.md README.md
%attr(755,root,root) %{_bindir}/devilutionx
%{_desktopdir}/devilutionx.desktop
%{_desktopdir}/devilutionx-hellfire.desktop
%{_iconsdir}/hicolor/512x512/apps/devilutionx.png
%{_iconsdir}/hicolor/512x512/apps/devilutionx-hellfire.png
%dir %{_datadir}/diasurgical
%dir %{_datadir}/diasurgical/devilutionx
%{_datadir}/diasurgical/devilutionx/devilutionx.mpq
%{_datadir}/metainfo/devilutionx.metainfo.xml
%changelog
* Sat Aug 31 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/devilutionX.git;a=log;h=master

* Sat Aug 31 2024 Jan Palus <atler@pld-linux.org> 7fad641
- up to 1.5.3

* Mon Feb 05 2024 Jan Palus <atler@pld-linux.org> f29341d
- up to 1.5.2

* Mon Feb 05 2024 Jan Palus <atler@pld-linux.org> 56840d3
- don't override linker with mold

* Sun Nov 26 2023 Jan Rękorajski <baggins@pld-linux.org> 7b62934
- Release 2 (by relup.sh)

* Fri Sep 01 2023 Jan Palus <atler@pld-linux.org> bea80d0
- up to 1.5.1

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 5101b17
- release 2 (libfmt 10)

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 3ddc1e1
- pl

* Wed Jun 14 2023 Jan Palus <atler@pld-linux.org> b774b3f
- update desktop database

* Tue Jun 13 2023 Jan Palus <atler@pld-linux.org> a3f24b8
- up to 1.5.0

* Wed Aug 31 2022 Jan Palus <atler@pld-linux.org> 90063cf
- libfmt rebuild

* Sun Jul 31 2022 Jan Palus <atler@pld-linux.org> 01b0849
- up to 1.4.1

* Thu Apr 14 2022 Jan Palus <atler@pld-linux.org> 9a5bbcd
- switch to release source tarball

* Wed Apr 13 2022 Jan Palus <atler@pld-linux.org> d8f7676
- BR: gettext-tools

* Wed Apr 13 2022 Jan Palus <atler@pld-linux.org> a9cfe7b
- up to 1.4.0

* Mon Nov 15 2021 Jan Palus <atler@pld-linux.org> b417ad4
- up to 1.3.0

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> 3c7d17a
- up to 1.2.1

* Tue Apr 06 2021 Jan Palus <atler@pld-linux.org> 5a64ca8
- macros for %cmake

* Tue Apr 06 2021 Jan Palus <atler@pld-linux.org> 555fcc8
- up to 1.2.0

* Sun Oct 18 2020 Jan Palus <atler@pld-linux.org> bdabe95
- new (version 1.1.0)

